#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		shortname	%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	python-psutil
Version		:	5.9.0
Release		:	14.4.0.0%{?dist}
Summary		:	python, process and system utilities.
Group		:	Development/Languages

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	https://github.com/giampaolo

Source0		:	%{shortname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
Buildrequires	:	gcc
Buildrequires	:	python3,python2
#-----------------------------------------------------------------------------
%description
psutil (process and system utilities) is a cross-platform library
for retrieving information on running processes and system utilization
(CPU, memory, disks, network, sensors) in Python. It is useful mainly
for system monitoring, profiling and limiting process resources and
management of running processes. It implements many functionalities
offered by UNIX command line tools such as: ps, top, lsof, netstat,
ifconfig, who, df, kill, free, nice, ionice, iostat, iotop, uptime,
pidof, tty, taskset, pmap. psutil currently supports the following
platforms:
    Linux
    Windows
    macOS,
    FreeBSD, OpenBSD, NetBSD
    Sun Solaris
    AIX


#-----------------------------------------------------------------------------


#=============================================================================
%package -n 		python2-psutil
Summary		:	%{summary}

#-----------------------------------------------------------------------------
Provides	:	python2-psutil
Obsoletes	:	python-%{shortname} <= %{version}

#-----------------------------------------------------------------------------
%description -n 	python2-psutil
psutil (process and system utilities) is a cross-platform library
for retrieving information on running processes and system utilization
(CPU, memory, disks, network, sensors) in Python. It is useful mainly
for system monitoring, profiling and limiting process resources and
management of running processes. It implements many functionalities
offered by UNIX command line tools such as: ps, top, lsof, netstat,
ifconfig, who, df, kill, free, nice, ionice, iostat, iotop, uptime,
pidof, tty, taskset, pmap. psutil currently supports the following
platforms:
    Linux
    Windows
    macOS,
    FreeBSD, OpenBSD, NetBSD
    Sun Solaris
    AIX

#-----------------------------------------------------------------------------
%files -n	 	python2-psutil
%doc CREDITS HISTORY.rst README.rst
%license LICENSE
%{python2_sitearch}/%{shortname}/*.py*
%{python2_sitearch}/%{shortname}/tests/*.py*
%{python2_sitearch}/%{shortname}-%{version}*egg-info
%{python2_sitearch}/%{shortname}/_*.so

#=============================================================================
%package -n 		python3-psutil
Summary		:	%{summary}

#-----------------------------------------------------------------------------
Provides	:	python3-psutil
Obsoletes	:	python-%{shortname} <= %{version}

#-----------------------------------------------------------------------------
%description -n 	python3-psutil
psutil (process and system utilities) is a cross-platform library
for retrieving information on running processes and system utilization
(CPU, memory, disks, network, sensors) in Python. It is useful mainly
for system monitoring, profiling and limiting process resources and
management of running processes. It implements many functionalities
offered by UNIX command line tools such as: ps, top, lsof, netstat,
ifconfig, who, df, kill, free, nice, ionice, iostat, iotop, uptime,
pidof, tty, taskset, pmap. psutil currently supports the following
platforms:
    Linux
    Windows
    macOS,
    FreeBSD, OpenBSD, NetBSD
    Sun Solaris
    AIX


#-----------------------------------------------------------------------------
%files -n	 	python3-psutil
%doc CREDITS HISTORY.rst README.rst
%license LICENSE
%{python3_sitearch}/%{shortname}/*.py
%{python3_sitearch}/%{shortname}/__pycache__/*.pyc
%{python3_sitearch}/%{shortname}/tests/*.py
%{python3_sitearch}/%{shortname}/tests/__pycache__/*.pyc
%{python3_sitearch}/%{shortname}-%{version}*egg-info/
%{python3_sitearch}/%{shortname}/_%{shortname}_*.so


#=============================================================================
%prep
%setup -q -n %{shortname}-release-%{version}

# Remove shebangs
find psutil -name \*.py | while read file; do
  sed -i.orig -e '1{/^#!/d}' $file && \
  touch -r $file.orig $file && \
  rm $file.orig
done

#-----------------------------------------------------------------------------
#building application
%build

python2								\
	./setup.py						\
	build							\

python3								\
	./setup.py						\
	build							\


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

python2								\
	./setup.py						\
	install							\
	--skip-build						\
	--prefix=%{_prefix}					\
	--root %{buildroot}					\

python3								\
	./setup.py						\
	install							\
	--skip-build						\
	--prefix=%{_prefix}					\
	--root %{buildroot}					\

#-----------------------------------------------------------------------------
%changelog
